/*
 * init.c
 */


#include<unistd.h>
#include<stdio.h>
#include<stdlib.h>
#include<stropts.h>


int main()
{
	char *argv[2];


	/* セッション開始。 */
	if (setsid() < 0)
	{
		printf("Failed setsid\n");
		return 0;
	}

	/* 制御端末の取得。 */
	if (ioctl(0,TIOCSCTTY) < 0)
	{
		printf("failed ioctl\n");
		return 0;
	}

	/* 環境値に端末名を設定 */
	setenv("TERM","pc",1);
	
	argv[0] = "-sh";
	argv[1] = 0;
	execv("/sbin/bash",argv);
	printf("Can not exec shell!\n");

	return 0;
}
